/***********************************************************************************
* Filename 		$RCSfile: alg1_eval.h,v $
* Current CVS 		$Revision: 1.3 $
* Checked-in by 	$Author: yves $ 
*
* $Log: alg1_eval.h,v $
* Revision 1.3  2004/12/16 00:18:24  yves
* Standard CVS command tags added
* FEN notation inverted, now uppercase is white and lowercase is black
*
*
***********************************************************************************/

#if !defined(__ALG1_EVAL_H__)
#define __ALG1_EVAL_H__

#include "belofte.h"
#include "alg1_search.h"

// --------------------------------------------------------------------

#define SCORE_WON 999
#define SCORE_ALMOST_WON (SCORE_WON - 100)
#define SCORE_DRAW 0

// --------------------------------------------------------------------

#define MOBILITY_DIVIDER 200.0
#define BOARD_DIVIDER 200.0
#define KING_DIVIDER 120.0

#define DEVELOPMENT_FACTOR 1

#define DOUBLE_PAWN_MALUS -60

// --------------------------------------------------------------------

t_score eval_pos(const t_boolean isWhite);
void fill_moveevalbuffers(void);

#endif
